%define name abuledu-devine
%define version 8
%define release 4
%define execname devine.tcl
%define execpublicname devine
%define abuledu_dest /usr/share/abuledu/applications

Summary: Devine: Production d'infrences
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://intranet.abuledu.org/~abuledu_andre/%{name}-%{version}.tgz
Source1:    %{name}-16.png.bz2
Source2:    %{name}-32.png.bz2
Source3:   %{name}-48.png.bz2
License: GPL 2
Group: AbulEdu
Url: http://www.abuledu.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: tcl > 8.3, tk > 8.3
Requires: tcl > 8.3, tk > 8.3, ImageMagick

%description

Logiciel utilise pour apprendre  faire des inferences a partir d'images.

Contacts : andre.connes@toulouse.iufm.fr et dev@abuledu.org

%prep
%setup

%build
cat > lanceur << EOF
#!/bin/sh
(
cd %{abuledu_dest}/%{name}
./%{execname}
)
EOF
chmod 755 lanceur

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{abuledu_dest}/%{name}
cp -a * $RPM_BUILD_ROOT%{abuledu_dest}/%{name}/
mkdir -p $RPM_BUILD_ROOT/var/leterrier/%{execpublicname}
cp -a * $RPM_BUILD_ROOT%{abuledu_dest}/%{name}/

install -c lanceur $RPM_BUILD_ROOT%{_bindir}/%{execpublicname}
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{execpublicname}"\
title="%{execpublicname}"\
longtitle="%{name}"\
needs="x11"\
icon="%{name}.png"\
section="AbulEdu"
EOF
)
 
%post
%{update_menus}
  
%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%{execpublicname}
%{_menudir}/*
# icons
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{abuledu_dest}/%{name}/
%{abuledu_dest}/%{name}/*
%attr(777, root, root) /var/leterrier/%{execpublicname}

%changelog
* Sun Apr 06 2008 Andre Connes <andre.connes@wanadoo.fr> 8.4
- v 8.4
- devine faon David
- ajout du module "questions" (voir menu Reglages > option)
- v 8.3d
- editeur : le champ des mots-cls est efface a chaque appel
- gerer images : suppression du message " 5 images min "
- activite : gros caracteres dans la zone de saisie de texte
- activite : bouton zoom reactive apres ecriture
- v 8.3c
- changement de nom : chrono -> devine
- description de l'eleve dans un canevas texte dans la fenetre principale
- v 8.3b
- gestion des images-portrait
- ajout de gerer_images.tcl
- ajout des boutons oeil et gagne
- v 8.3a
- la version initiale ne contenait que l'editeur
- ajout du logiciel eleve : chrono.tcl
- v 8.3
- version initiale - andre.connes@wanadoo.fr

